Subject: bug#24323: "regcomp.c", line 467: error: syntax error before or at: preg

From: Paul Eggert <[email-masked]>
Date: Sun, 28 Aug 2016 16:58:53 -0700

Dennis Clarke wrote:
> On 08/28/2016 03:58 PM, Paul Eggert wrote:
>> I see the problem ...
>
>> Ah, that explains it. 12.4 c99 supports __restrict__ but not __restrict,
>
> Sort of what I said .. I think.  For that matter are you sure about the
>  use of "__restrict__" ?

Your original bug report said 12.5, which caused me to waste some time 
installing 12.5 and finding no bug.

Yes, I observed the behavior with __restrict__ and __restrict.

>> This Gnulib commit replaces __restrict with _Restrict_
>
> I saw that in a few places and wondered if there was a mistake. I don't
>  think that __Restrict__ exists in any standard anywhere either.

It doesn't. _Restrict_ is a macro defined by Gnulib, which should expand to the 
appropriate keyword (or non-keyword).

> I will have to wait for a release to use that.  For now I just toss out
> the __restrict and use proper "restrict" and everything is fine.

Yes, that should work.